////
/// @group layout
////


/// set width of container
/// @param {string} $wide ['null|normal|medium|tall'] container size
/// @param {string} $gap [$grid-gap*2] gap width
@mixin _containerHelper($wide: null, $gap: $grid-gap) {
  $size-normal: 1024px !default;

  position: relative;
  width: initial;
  padding-left: $gap;
  padding-right: $gap;

  @if ($wide == 'full') {
    @include _respond-to(desktops) {
      padding-left: 0;
      padding-right: 0;
    }
  }

  @if ($wide == 'normal') {
    @include _respond-to(desktops) {
      margin-right: auto;
      margin-left: auto;
      width: $size-normal;
    }
  }

  @if ($wide == 'medium') {
    $size-medium-gap: 300px !default;

    @include _respond-to(desktops) {
      margin-right: auto;
      margin-left: auto;
      width: calc(#{$size-normal} - #{$size-medium-gap});
    }
  }

  @if ($wide == 'tall') {
    $size-tall-gap: 500px !default;

    @include _respond-to(desktops) {
      margin-right: auto;
      margin-left: auto;
      width: calc(#{$size-normal} - #{$size-tall-gap});
    }
  }
}
